# RPC Methods

You can review the official Aleo RPC documentation [**HERE**](https://developer.aleo.org/testnet/getting_started/overview/)

**Example**

If you want to obtain the details of a transaction, you can call the method **getTransaction，**

which returns the transaction for the given transaction ID.

| Parameter     | Type   | Description                                         |
| ------------- | ------ | --------------------------------------------------- |
| transactionID | String | The transaction id of the requested transaction hex |

{% tabs %}
{% tab title="Rest" %}

```
curl https://api.data123.io/aleo/<API KEY>/v1/testnet3/transaction/at1td9klwgpevhgqcpfd5tvu88pv67uajugnxqysd93w40kx8na2cyq8qh3ls
```

{% endtab %}

{% tab title="JSON-RPC" %}

```
curl https://api.data123.io/aleo/<API KEY>/rpc/v1/testnet3 \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"getTransaction","params":['at1td9klwgpevhgqcpfd5tvu88pv67uajugnxqysd93w40kx8na2
cyq8qh3ls'],"id":1}' 
```

{% endtab %}
{% endtabs %}

**Available Aleo API request methods，**&#x59;ou can review the official Aleo RPC documentation [**HERE**](https://developer.aleo.org/testnet/getting_started/overview/) for parameter descriptions

&#x20;           [Latest Height](/reference/api-reference/aleo/rpc-methods/latest-height.md)

&#x20;           [Latest Hash](/reference/api-reference/aleo/rpc-methods/latest-hash.md)

&#x20;          [ Latest Block](/reference/api-reference/aleo/rpc-methods/latest-block.md)

&#x20;           [Latest State Root](/reference/api-reference/aleo/rpc-methods/latest-state-root.md)

&#x20;           [Get Block](/reference/api-reference/aleo/rpc-methods/get-block.md)

&#x20;           [Get Height](/reference/api-reference/aleo/rpc-methods/get-blocks.md)

&#x20;           [Get Block Transactions](/reference/api-reference/aleo/rpc-methods/get-block-transactions.md)

&#x20;           [Get Transaction](/reference/api-reference/aleo/rpc-methods/get-transaction.md)

&#x20;           [Get Memory Pool Transactions](/reference/api-reference/aleo/rpc-methods/get-memory-pool-transactions.md)

&#x20;           [Get Program](/reference/api-reference/aleo/rpc-methods/get-progrem.md)

&#x20;           [Get Mapping Names](/reference/api-reference/aleo/rpc-methods/get-mapping-names.md)

&#x20;           [Get Mapping Value](/reference/api-reference/aleo/rpc-methods/get-mapping-value.md)

&#x20;           [Get State Path For Commitment](/reference/api-reference/aleo/rpc-methods/get-state-path-for-commitment.md)

&#x20;           [Find Block Hash](/reference/api-reference/aleo/rpc-methods/find-block-hash.md)

&#x20;           [Find Transaction ID from Program ID](/reference/api-reference/aleo/rpc-methods/find-transaction-id-from-program-id.md)

&#x20;           [Find Transaction ID from Transition ID](/reference/api-reference/aleo/rpc-methods/find-transaction-id-from-transition-id.md)

&#x20;           [Find Transition ID](/reference/api-reference/aleo/rpc-methods/find-transition-id.md)

&#x20;           [Get Environment Information](/reference/api-reference/aleo/rpc-methods/get-environment-info.md)

&#x20;           [Transaction Broadcast](/reference/api-reference/aleo/rpc-methods/transaction-broadcast.md)

[Edit this page](https://github.com/AleoHQ/welcome/tree/master/documentation/testnet/getting_started/00_overview.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.data123.io/reference/api-reference/aleo/rpc-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
